Error al actualizar ESXi a 6.5 Mellanox_bootbank_net

por | 12/03/2018

Durante las últimas semanas me he encontrado un error a la hora de actualizar servidores HPE de versiones ESXi 6.0 a ESXi 6.5 sea el reléase que sea. El error consiste en drivers incompatibles en la versión 6.5. Usando update manager para actualizar nuestros host ESXi nos indica si el host es compatible con el update o no, si indica que no es compatible, directamente te especifica que VIB es el que causa el conflicto. Aunque hay que decir que en un par de ocasiones he visto que update Manager no marcaba como incompatible el update pero luego una vez actualizado nos daba un buen pantallazo lila.

En el ejemplo de hoy el error al actualizar ESXi a 6.5 que nos da es el siguiente:

VIBS incompatibles.

Mellanox_bootbank_net-mst_2.0.0.0-1OEM.550.0.472560

C:\DATA\Blog\PENDING\Ashampoo_Snap_2018.03.22_10h14m45s_026_.png

Ya nos indica el propio update manager que para seguir con la actualización debemos borrar el vib o usar image Builder para crear una imagen customizada si la versión de ese driver.

Lo primero que vamos a hacer es ver si estamos usando el driver en cuestión. Es un driver de las tarjetas de red de nuestro ESXi. Para ello usaremos el siguiente comando:

esxcli network nic list

C:\DATA\Blog\PENDING\Ashampoo_Snap_2018.03.22_10h15m01s_027_.png

Comprobamos que no usamos ninguna nic Mellanox. A continuación veremos qué VIBS de mellanox tenemos instalados en nuestro ESXi.

esxcli software vib list | grep Mellanox

C:\DATA\Blog\PENDING\Ashampoo_Snap_2018.03.22_10h15m47s_028_.png

Finalmente una vez comprobado que tenemos el vib conflictivo instalado, procedemos a borrarlo con el comando:

esxcli software vib remove –n=net-mst

C:\DATA\Blog\PENDING\Ashampoo_Snap_2018.03.22_10h20m23s_029_.png

Una vez borrado, update manager ya no nos dirá que es incompatible, nos dirá Non-Compliant por lo que ya podremos actualizarlo sin problemas.

C:\DATA\Blog\PENDING\Ashampoo_Snap_2018.03.22_10h31m58s_030_.png

Si tenéis problemas una vez actalizado vuestro ESXi a 6.5 y os salta un pantallazo lila, echadle un vistazo al siguiente artículo.

Pantallazo lila al actualizar vSphere 6.5 Complete Update 1 PSOD

Saludos

Norman trabaja como Administrador de Sistemas con más de 8 años de experiencia en entornos Windows, Linux, VMware, SAN, Redes. | MCITP | CCNA | VCP |

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *